import { useState, useEffect } from "react";
import $ from "jquery";
export const listPackagesNPM = (username) => {
    const [packages, setPackages] = useState([]);
    const myUrl = `https://www.npmjs.com/~${username}`;
    const proxy = "https://thingproxy.freeboard.io/fetch/";
    const finalURL = proxy + myUrl;
    useEffect(() => {
        //@ts-ignore
        $.get(finalURL, null, function (page) {
            const listPackages = [];
            const listPackagesDom = $(page).find("._0d2164ff");
            for (let i = 0; i < listPackagesDom.length; i++) {
                //@ts-ignore
                const name = listPackagesDom[i].children[0].children[0].innerText;
                //@ts-ignore
                const link = `https://www.npmjs.com/package/${name}`;
                const lastVersion = listPackagesDom[i].children[2].children[1].childNodes[2].textContent;
                //@ts-ignore
                listPackages.push({ name, link, lastVersion });
                setPackages(listPackages);
            }
        });
    }, []);
    return packages;
};
