# List the npm packages of a specific username

This package is developed in ReactJS

## Installation

```sh
npm install npm-packages-list
```

## Usage

```js
import { listPackagesNPM } from "npm-packages-list";

const listPackages = listPackagesNPM("username");

console.log("listPackages: ", listPackages);
// listPackages: [
//     {
//         lastVersion: "xxxx",
//         link: "xxxx",
//         name: "xxxx"
//     }
// ]
```

## Dependencies

- [@types/react](https://github.com/DefinitelyTyped/DefinitelyTyped)
- [@types/jquery](https://github.com/DefinitelyTyped/DefinitelyTyped)
- [react](https://github.com/facebook/react)
- [react-dom](https://github.com/facebook/react)
- [typescript](https://github.com/Microsoft/TypeScript)
- [jquery](https://github.com/jquery/jquery)

## License

<p align="center">
    <h3 align="center">@AMINE1921</h3>
    <p align="center">
        <a href="https://mloubaya.fr/"><img src="https://img.shields.io/badge/mloubaya-000000?&style=for-the-badge&logo=About.me&logoColor=white"> </a>
        <a href="https://www.linkedin.com/in/mohamed-lamine-oubaya-124326194"><img src="https://img.shields.io/badge/linkedin-%230077B5.svg?&style=for-the-badge&logo=linkedin&logoColor=white"> </a>
        <a href="https://github.com/AMINE1921"><img src="https://img.shields.io/badge/github-%23100000.svg?&style=for-the-badge&logo=github&logoColor=white"> </a>
        <a href="http://discordapp.com/channels/@AMINE#5328"><img src="https://img.shields.io/badge/discord-%237289DA.svg?&style=for-the-badge&logo=discord&logoColor=white"> </a>
    </p>
</p>
